Subject: Re: [PATCH v5 1/5] arm64: Add framework to turn IPI as NMI

From: Marc Zyngier <[email-masked]>
Date: Tue, 20 Oct 2020 11:08:30 +0100

On 2020-10-20 07:43, Sumit Garg wrote:
> On Mon, 19 Oct 2020 at 17:07, Marc Zyngier <[email-masked]> wrote:

[...]

>> > +{
>> > +     if (!ipi_desc)
>> > +             return;
>> > +
>> > +     if (is_nmi) {
>> > +             if (!prepare_percpu_nmi(ipi_id))
>> > +                     enable_percpu_nmi(ipi_id, IRQ_TYPE_NONE);
>> > +     } else {
>> > +             enable_percpu_irq(ipi_id, IRQ_TYPE_NONE);
>> 
>> I'm not keen on this. Normal IRQs can't reliably work, so why do you
>> even bother with this?
> 
> Yeah I agree but we need to support existing functionality for kgdb
> roundup and sysrq backtrace using normal IRQs as well.

When has this become a requirement? I don't really see the point in
implementing something that is known not to work.

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel